Page MenuHomePhabricator

Make TwoColConflict browser tests compatible with enabled QuickSurveys
Closed, ResolvedPublic2 Estimated Story Points

Description

Do Not Track support will be removed from the QuickSurveys T254224: Remove Do Not Track support for QuickSurveys. We currently use DNT to disable QuickSurveys in the Two-Column-Edit-Conflict-Merge browser tests to avoid irritations in the selenium dailies run on beta labs. See T251235: QuickSurveys on Beta messes with TwoColConflict selenium dailys.

WIth DNT removed we would probably need another way to avoid these irritations assuming that QuickSurveys will still pop up randomly on the beta labs servers.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2020, 9:03 AM
WMDE-Fisch updated the task description. (Show Details)Jun 10 2020, 9:03 AM
Lena_WMDE set the point value for this task to 2.
awight claimed this task.Jun 10 2020, 1:13 PM
awight moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2020-06-10 board.

Change 604408 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/TwoColConflict@master] Test literal wikitext

https://gerrit.wikimedia.org/r/604408

awight renamed this task from Find a way to disable QuickSurveys in browser tests without using DNT to Make TwoColConflict browser tests compatible with enabled QuickSurveys.Jun 10 2020, 2:41 PM
awight moved this task from Doing to Review on the WMDE-QWERTY-Sprint-2020-06-10 board.

Change 604408 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Test literal wikitext

https://gerrit.wikimedia.org/r/604408

awight moved this task from Backlog to Bugs on the QuickSurveys board.Jun 19 2020, 8:02 AM
awight closed this task as Resolved.Jun 23 2020, 11:41 AM
awight moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-06-10 board.